function allbenchs(varargin)
  p = inputParser; 
  p.addParamValue('d', 2 ); 
  p.addParamValue('nbruns', 1 );
  p.addParamValue('n', randi([2,6]) );
  p.addParamValue('m', randi([2,6]) );
  p.addParamValue('p', randi([2,6]) ); 
  p.addParamValue('q', randi([2,6]) ); 
  p.parse(varargin{:});
  R=p.Results;
  nbruns=R.nbruns;
  m=R.m;n=R.n;p=R.p;d=R.d;
  LN=10^d*[2:2:10];

  fc_amat.benchs.chol(LN,'d',m)
  fc_amat.benchs.det(LN,'d',m);
  fc_amat.benchs.lu(LN,'d',m);
  fc_amat.benchs.mldivide(LN,'d',m);
  fc_amat.benchs.mtimes(LN,'ld',[m,n],'rd',[n,p]);
  fc_amat.benchs.solvediag(LN,'d',m);
  fc_amat.benchs.solvetril(LN,'d',m);
  fc_amat.benchs.solvetriu(LN,'d',m);
end
